abstract class Human {

    public role : string;

    constructor (public age: number, public name: string) {

    }

    getInfo() : void {
        console.log("Name - " + this.name);
    }

    abstract getRole() : string;

}

class Administrator extends Human {
    
    getRole(): string {
        throw new Error("Method not implemented.");
    }

    
    constructor (age: number,  name: string, public lastname:  string) {
        super(age, name);
    }

    // getRole() : string {
    //     return " role - " + this.role;
    // }

    getInfo() : void {
        
        super.getInfo();
        console.log(" role - " + this.role + " lastname - " + this.lastname);
    }



}

let admin : Administrator = new Administrator(20, "Ben", "Smith");
admin.role = "admin";

admin.getInfo();
//console.log(admin.getRole());

let human : Human = new Human();